不能在Windows 7上安装Rmagick和Imagemagick[英] Can't install Rmagick and Imagemagick on Windows 7

本文是小编为大家收集整理的关于不能在Windows 7上安装Rmagick和Imagemagick的处理方法,想解了不能在Windows 7上安装Rmagick和Imagemagick的问题怎么解决?不能在Windows 7上安装Rmagick和Imagemagick问题的解决办法?那么可以参考本文帮助大家快速定位并解决问题。

问题描述

当我从 rmagick-2.13.1.gem 所在的目录运行 gem install rmagick-2.13.1.gem 时,我收到一条错误消息,说它无法构建 gem 原生扩展,下面会说

c:/Ruby192/bin/ruby.exe extconf.rb
checking for Ruby version >= 1.8.5 ... yes
Unable to get Imagemagick version
***extconf.rb failed***
Could not create Makefile due to some reason, probably lack
of necessary libraries and/or headers. Check the mkmf.log file 
for more details.

据我所知,阅读 http://rmagick.rubyforge.org/install-faq 上的常见问题解答.html#os,rmagick 应该与 ImageMagick Windows Installer 捆绑在一起.答案还提到了 rmagick-win32.gem.我没有在任何地方看到它.这就是为什么我会假设 rmagick-2.13.1.gem 是我需要的,因为它是唯一可用的,考虑到常见问题解答指的是旧版本的 rmagick.所以,我真的很困惑这个该死的问题是什么.

我还查看了 mkmf.log 文件,我发现的唯一内容是

checking for Ruby version >= 1.8.5 ... yes

这整件事把我搞糊涂了.因此,我们将不胜感激任何帮助.提前非常感谢.

推荐答案

从以下位置下载 zip 文件:https://github.com/rmagick/rmagick/downloads

解压到本地目录

CD 到那个目录并输入

gem install rmagick --local

完成.

如果您遇到错误,您可能需要阅读 Zipfile 中的 Readme.html 文件

本文地址:https://www.itbaoku.cn/post/786486.html